# Copyright (c) 2022, InfluxFramework LLC
# For license information, please see license.txt


from influxframework.core.report.database_storage_usage_by_tables.database_storage_usage_by_tables import (
	execute,
)
from influxframework.tests.utils import InfluxFrameworkTestCase


class TestDBUsageReport(InfluxFrameworkTestCase):
	def test_basic_query(self):
		_, data = execute()
		tables = [d.table for d in data]
		self.assertFalse({"tabUser", "tabDocField"}.difference(tables))
